SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
copyrights:
- Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
enabled-by: true
links:
- role: spec-member
  uid: root
- role: spec-refinement
  spec-key: interface-type
  spec-value: function
  uid: interface
spec-description: null
spec-example: null
spec-info:
  dict:
    attributes:
      brief:
        description: null
        spec-type: interface-brief
      definition:
        description: null
        spec-type: interface-function-definition-directive
      description:
        description: null
        spec-type: interface-description
      name:
        description: |
          It shall be the name of the function.
        spec-type: str
      notes:
        description: null
        spec-type: interface-notes
      params:
        description: null
        spec-type: interface-param-list
      return:
        description: null
        spec-type: interface-return-directive
    description: |
      This set of attributes specifies a function.
    mandatory-attributes: all
spec-name: Interface Function Item Type
spec-type: interface-function
type: spec
